<template>
  <v-container>
    <v-card>
      <v-toolbar class="secondary">
        <v-toolbar-title>
          {{ lesson.name }}
        </v-toolbar-title>
        <v-spacer />
        <v-img
          :src="lesson.icon"
          class="mr-2"
          max-height="50px"
          max-width="50px"
        ></v-img>
      </v-toolbar>
      <v-card-text>
        <div class="lesson__content" v-html="text"></div>
      </v-card-text>
    </v-card>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import sanitize from 'sanitize-html';
import { LessonContent as LessonContentEntity } from '@/domain/entity/lesson/LessonContent';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class LessonContent extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly lesson!: LessonContentEntity;

  private get text(): string {
    return sanitize(this.lesson.text);
  }
}
</script>

<style lang="scss">
.lesson__content {
  color: white;
  font-family: 'Nunito', sans-serif;

  p {
    font-weight: 400;
    font-size: 18px;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-weight: 900;
    margin-bottom: 5px;
  }

  h3 {
    font-size: 20px;
  }

  h4 {
    font-size: 18px;
  }

  li {
    font-weight: 400;
    font-size: 18px;
  }
}
</style>
